### Method

# Ide Buffer get_word_at_iter

#### Declaration

    gchar*
    ide_buffer_get_word_at_iter (
      IdeBuffer* self,
      const GtkTextIter* iter
    )

#### Description

Gets the word found under the position denoted by `iter`.

Available since: | 3.32

#### Parameters

`iter` | `GtkTextIter`
| A `GtkTextIter`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gchar*`
| A newly allocated string.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.